import request from '@/utils/request'

// 查询首页置顶图片轮播
export function listDemeanorProfiles() {
  return request({
    url: '/branch/demeanor/listProfiles',
    method: 'get'
  })
}

// 查询支部园地风采列表（不分页）
export function listDemeanorNoPage(query) {
  return request({
    url: '/branch/demeanor/listNoPage',
    method: 'get',
    params: query
  })
}

// 查询支部园地风采列表
export function listDemeanor(query) {
  return request({
    url: '/branch/demeanor/list',
    method: 'get',
    params: query
  })
}

// 查询支部园地风采详细
export function getDemeanor(demeanorId) {
  return request({
    url: '/branch/demeanor/' + demeanorId,
    method: 'get'
  })
}

// 新增支部园地风采
export function addDemeanor(data) {
  return request({
    url: '/branch/demeanor',
    method: 'post',
    data: data
  })
}

// 修改支部园地风采
export function updateDemeanor(data) {
  return request({
    url: '/branch/demeanor',
    method: 'put',
    data: data
  })
}

// 删除支部园地风采
export function delDemeanor(demeanorId) {
  return request({
    url: '/branch/demeanor/' + demeanorId,
    method: 'delete'
  })
}
